%define         _disable_ld_no_undefined 0
%define         srcname                  pmix

%define         major                    2
%define         pmimajor                 1

%define         libname                  %mklibname %{name} %{major}
%define         develname                %mklibname %{name} -d


%define         subrel 1

Summary:        A highly configurable open-source workload manager
Name:           openpmix
Version:        4.2.3
Release:        %mkrel 1
License:        MIT
Group:          System/Cluster

Url:            https://pmix.org/

Source0:        https://github.com/openpmix/openpmix/archive/%{srcname}-%{version}.tar.bz2
#CVE-2023-41915 mga#33160
Patch0:         pmix-4.2.3-lchown.patch

BuildRequires:  pkg-config
BuildRequires:  autoconf
BuildRequires:  perl
BuildRequires:  man2html
BuildRequires:  hwloc
BuildRequires:  flex
BuildRequires:  pkgconfig(libevent)
BuildRequires:  pkgconfig(libev)
BuildRequires:  pkgconfig(hwloc)
BuildRequires:  libltdl-devel
BuildRequires:  pkgconfig(zlib)




%description
The Process Management Interface (PMI) has been used for quite some
time as a means of exchanging wireup information needed for
interprocess communication. Two versions (PMI-1 and PMI-2) have been
released as part of the MPICH effort. While PMI-2 demonstrates better
scaling properties than its PMI-1 predecessor, attaining rapid launch
and wireup of the roughly 1M processes executing across 100k nodes
expected for exascale operations remains challenging.

PMI Exascale (PMIx) represents an attempt to resolve these questions
by providing an extended version of the PMI standard specifically
designed to support clusters up to and including exascale sizes. The
overall objective of the project is not to branch the existing
pseudo-standard definitions - in fact, PMIx fully supports both of the
existing PMI-1 and PMI-2 APIs - but rather to (a) augment and extend
those APIs to eliminate some current restrictions that impact
scalability, and (b) provide a reference implementation of the
PMI-server that demonstrates the desired level of scalability.

%package -n %{libname}
Summary:        Shared libraries for OpenPMIx
Group:          Development/Other
Provides:       lib%{name} = %{version}-%{release}

%description -n %{libname}
%{summary}.



%package -n %{develname}
Summary:        Development files for OpenPMIx
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:       lib%{name}-devel  = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
%{summary}.






%prep

%setup -q -n %{srcname}-%{version}
%autopatch -p1

%build
%configure --with-devel-headers

%make_build

%install
%make_install

find %{buildroot}%{_libdir} -name '*.la' -delete



%files
%doc AUTHORS NEWS LICENSE
%config(noreplace)%{_sysconfdir}/pmix-mca-params.conf
%{_bindir}/*
%{_datadir}/pmix
%{_datadir}/doc/pmix
%{_mandir}/man1/*.1.*
%{_mandir}/man5/*.5.*


%files -n %{libname}
%{_libdir}/libpmix.so.%{major}{,.*}
#these guys are modules, not devel files
%{_libdir}/pmix/*.so
%{_mandir}/man3/*.3.*



%files -n %{develname}
%{_includedir}/pmi*.h
%{_includedir}/pmix
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc




%changelog
* Tue Apr 30 2024 eatdirt <eatdirt> 4.2.3-1.1.mga9
+ Revision: 2061784
- Prevent chown to follow links (mga#33160)

* Thu Apr 06 2023 eatdirt <eatdirt> 4.2.3-1.mga9
+ Revision: 1951606
- Update to version 4.2.3

* Sun Dec 04 2022 eatdirt <eatdirt> 4.2.2-1.mga9
+ Revision: 1917661
- Update to version 4.2.2

* Fri Aug 26 2022 eatdirt <eatdirt> 4.2.0-1.mga9
+ Revision: 1880491
- Update to version 4.2.0

* Thu May 05 2022 eatdirt <eatdirt> 4.1.2-1.mga9
+ Revision: 1856409
- Update to version 4.1.2

* Thu Mar 31 2022 umeabot <umeabot> 4.1.0-2.mga9
+ Revision: 1835832
- Mageia 9 Mass Rebuild

* Fri Aug 27 2021 eatdirt <eatdirt> 4.1.0-1.mga9
+ Revision: 1742882
- Upgrade to version 4.1.0

* Sat Dec 12 2020 eatdirt <eatdirt> 3.2.2-1.mga8
+ Revision: 1656037
- Upgrade to version 3.2.2

* Thu Mar 19 2020 eatdirt <eatdirt> 3.1.5-1.mga8
+ Revision: 1558076
- Use new configure macro
- imported package openpmix

